pub mod entity;
pub use entity::prelude::*;
pub use entity::*;

use sea_orm::{DeriveActiveEnum, EnumIter};
use serde::{Deserialize, Serialize};

#[derive(EnumIter, DeriveActiveEnum, Serialize, Deserialize, PartialEq, Eq, Clone, Debug)]
#[sea_orm(rs_type = "i32", db_type = "Integer")]
#[serde(rename_all = "lowercase")]
pub enum PackageRelatedEnum {
    #[sea_orm(num_value = 0)]
    Conflicts,
    #[sea_orm(num_value = 1)]
    Replaces,
    #[sea_orm(num_value = 2)]
    Provides,
    #[sea_orm(num_value = 3)]
    Depend,
    #[sea_orm(num_value = 4)]
    Makedepend,
    #[sea_orm(num_value = 5)]
    Checkdepend,
    #[sea_orm(num_value = 6)]
    Optdepend,
}

#[derive(EnumIter, DeriveActiveEnum, Deserialize, Serialize, PartialEq, Eq, Clone, Debug)]
#[sea_orm(rs_type = "i32", db_type = "Integer")]
pub enum PackageState {
    #[sea_orm(num_value = 0)]
    PendingCommit,
    #[sea_orm(num_value = 1)]
    Committed,
    #[sea_orm(num_value = 2)]
    PendingDeletion,
}

#[derive(EnumIter, DeriveActiveEnum, Deserialize, Serialize, PartialEq, Eq, Clone, Debug)]
#[sea_orm(rs_type = "i32", db_type = "Integer")]
pub enum RepoType {
    #[sea_orm(num_value = 0)]
    Regular,
    #[sea_orm(num_value = 1)]
    FullMirror,
}
